<?xml version="1.0" encoding="UTF-8"?>  
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">    
<mapper namespace="com.sqx.modules.taskCenter.dao.TaskCenterDao">


	<!-- 根据key，查询value -->
	<select id="queryTaskDiscCenter"  resultType="com.sqx.modules.taskCenter.entity.TaskCenter">
        SELECT task.*,
               reward.number as number
        FROM task_center_reward reward
                 INNER JOIN task_center task ON reward.task_id = task.id and task.shows = 1
        where reward.type = 9
          and user_id = #{userId}
    </select>
	
</mapper>